Get Discovery Status
get
/discovery-service/discovery/request/status/
Gets the status of a discovery request. This is a legacy API. It is only available when the ENABLE_LEGACY_API_ENDPOINTS configuration parameter is set to true on the Discovery Service microservice.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : DiscoveryStatusResponse
Type:
objectAdditional Properties Allowed
Show Source
-
object DiscoveryContextIDStatusResponse
The status of a discovery request.
The status of all discovery requests.
Example:
{
"disco-01f107bd-655f-42e0-ae1c-ac4740e734e7":{
"DiscoveryContextID":"disco-01f107bd-655f-42e0-ae1c-ac4740e734e7",
"RequestedLevel":[
1,
2,
3
],
"TimestampInitiated":1702215346,
"ICMPStatus":"Completed",
"ICMPProgress":6,
"ICMPTotal":6,
"SNMPStatus":"Completed",
"SNMPProgress":6,
"SNMPTotal":6,
"APIStatus":"Completed",
"APIProgress":6,
"APITotal":6
},
"disco-490fda03-dea8-43bd-89f1-9117fb962442":{
"DiscoveryContextID":"disco-490fda03-dea8-43bd-89f1-9117fb962442",
"RequestedLevel":[
1,
2,
3
],
"TimestampInitiated":1702216489,
"ICMPStatus":"Completed",
"ICMPProgress":2,
"ICMPTotal":2,
"SNMPStatus":"Completed",
"SNMPProgress":2,
"SNMPTotal":2,
"APIStatus":"Completed",
"APIProgress":2,
"APITotal":2
}
}Nested Schema : DiscoveryContextIDStatusResponse
Type:
objectThe status of a discovery request.
Show Source
-
APIProgress: integer
Minimum Value:
0Maximum Value:2147483647The number of REST API jobs completed for the discovery.Example:6 -
APIStatus: string
Allowed Values:
[ "In Progress", "Completed", "NA" ]The REST API discovery status.Example:Completed -
APITotal: integer
Minimum Value:
0Maximum Value:2147483647The number of REST API jobs requested for the discovery.Example:6 -
DiscoveryContextID: string
The discovery request ID.Example:
disco-01f107bd-655f-42e0-ae1c-ac4740e734e7 -
GNMIProgress: integer
Minimum Value:
0Maximum Value:2147483647The number of gNMI jobs completed for the discovery.Example:6 -
GNMIStatus: string
Allowed Values:
[ "In Progress", "Completed", "NA" ]The gNMI discovery status.Example:Completed -
GNMITotal: integer
Minimum Value:
0Maximum Value:2147483647The number of gNMI jobs requested for the discovery.Example:6 -
ICMPProgress: integer
Minimum Value:
0Maximum Value:2147483647The number of ICMP jobs completed for the discovery.Example:6 -
ICMPStatus: string
Allowed Values:
[ "In Progress", "Completed", "NA" ]The ICMP discovery status.Example:Completed -
ICMPTotal: integer
Minimum Value:
0Maximum Value:2147483647The number of ICMP jobs requested for the discovery.Example:6 -
RequestedLevel: array
RequestedLevel
The types of polling enabled for discovery. Possible values are 1 for ping, 2 for SNMP, and 3 for REST.
-
SNMPProgress: integer
Minimum Value:
0Maximum Value:2147483647The number of SNMP jobs completed for the discovery.Example:6 -
SNMPStatus: string
Allowed Values:
[ "In Progress", "Completed", "NA" ]The SNMP discovery status.Example:Completed -
SNMPTotal: integer
Minimum Value:
0Maximum Value:2147483647The number of SNMP jobs requested for the discovery.Example:6 -
TimestampInitiated: integer
Minimum Value:
0Maximum Value:9223372036854776000The Unix time in seconds when discovery was initiated.Example:1702215346
Nested Schema : RequestedLevel
Type:
arrayThe types of polling enabled for discovery. Possible values are 1 for ping, 2 for SNMP, and 3 for REST.
Allowed Values:
Show Source
[
1,
2,
3
]Example:
[
1,
2,
3
]204 Response
No content
401 Response
Unauthorized operation
500 Response
Internal server error